---
- name: Role initialization
  tags: ['step::init']
  include_tasks: >-
    {{ meta_path_shared_tasks ~ '/roles/init.common.yml' }}

- name: Metarole initialization
  tags: ['step::init']
  include_tasks: >-
    {{ meta_path_shared_tasks ~ '/roles/init.metarole.yml' }}

- name: Configure storage encryption with the GELI provider
  tags: ['provider::geli']
  when: "'geli' in metarole_providers"
  import_role:
    name: storage/encryption.geli

- name: Configure storage encryption with the LUKS provider
  tags: ['provider::luks']
  when: "'luks' in metarole_providers"
  import_role:
    name: storage/encryption.luks